# See documentation at http://dev.bukkit.org/server-mods/silkspawners/

consumeEgg: true
usePermissions: false
defaultCreature: null
spawnerCommandReachDistance: 6

minSilkTouchLevel: 1

destroyDropEgg: false
#destroyDropEgg: true
destroyDropXP: 0
#destroyDropXP: 1000
destroyDropBars: 0
#destroyDropBars: 8

craftableSpawners: false

verboseConfig: false
useExtraMobs: false

# creatures: key is official creature type name, case-sensitive, from http://jd.bukkit.org/apidocs/org/bukkit/entity/CreatureType.html
# entityID is used in spawn eggs, from http://www.minecraftwiki.net/wiki/Data_values#Entity_IDs
# legacyID is pre-1222 creaturebox(+other plugins) scheme, see order on http://dev.bukkit.org/server-mods/creaturebox/pages/trading-mob-spawners/
creatures:
    Creeper: 
        entityID: 50
        legacyID: 5
        aliases: ['c', 'creep', 'cataclysm']
    Skeleton: 
        entityID: 51
        legacyID: 8
        aliases: ['s', 'sk', 'skelly', 'skellington']
    Spider: 
        entityID: 52
        legacyID: 9
        aliases: ['sp', 'bug']
    Giant: 
        entityID: 53
        legacyID: 13
        aliases: ['giantzombie']
    Zombie: 
        entityID: 54
        legacyID: 10
        aliases: ['z']
    Slime: 
        entityID: 55
        legacyID: 11
        aliases: ['sl']
    Ghast: 
        entityID: 56
        legacyID: 6
        aliases: ['g']
    PigZombie: 
        entityID: 57
        legacyID: 7
        aliases: ['pigman', 'zombiepigman', 'pg', 'zp']
        displayName: 'Zombie Pigman'
    Enderman: 
        entityID: 58
        legacyID: 16
        aliases: ['e', 'ender', 'endermen', 'slenderman']
    CaveSpider: 
        entityID: 59
        legacyID: 15
        aliases: ['cspider', 'cs', 'bluespider']
        displayName: 'Cave Spider'
    Silverfish: 
        entityID: 60
        legacyID: 17
        aliases: ['sf', 'fish']
    Blaze: 
        entityID: 61
        legacyID: 18
        aliases: ['b']
    LavaSlime: 
        entityID: 62
        legacyID: 20
        aliases: ['magmacube', 'mcube', 'magma', 'm', 'mc']
        displayName: 'Magma Cube'
    EnderDragon:
        entityID: 63
        legacyID: 19
        displayName: 'Enderdragon'
        aliases: ['dragon', 'raqreqentba']
    Pig: 
        entityID: 90
        legacyID: 0
        aliases: ['p']
    Sheep: 
        entityID: 91
        legacyID: 3
        aliases: ['sh']
    Cow: 
        entityID: 92
        legacyID: 2
        aliases: ['bovine']
    Chicken: 
        entityID: 93
        legacyID: 1
        aliases: ['chick', 'ch', 'bird']
    Squid: 
        entityID: 94
        legacyID: 4
        aliases: ['sq', 'octopus']
    #Monster:
    #   no entityID - this isn't real, and was removed in 1.1-R4
    #   aliases: ['human']
    #   legacyID: 12
    Wolf: 
        entityID: 95
        legacyID: 14
        aliases: ['w', 'dog']
    MushroomCow: 
        entityID: 96
        legacyID: 21
        displayName: 'Mooshroom'
        aliases: ['m', 'mcow']
    SnowMan: 
        entityID: 97
        legacyID: 22
        displayName: 'Snow Golem'
        aliases: ['golem', 'sgolem', 'sg', 'sm', 'snowmen']
    Ozelot:
        entityID: 98
        legacyID: 23
        displayName: 'Ocelot'
        aliases: ['ocelot', 'oce', 'o', 'cat', 'kitty']
    VillagerGolem:
        entityID: 99
        legacyID: 24
        displayName: 'Iron Golem'
        aliases: ['igolem', 'ironman', 'iron', 'ig']
    Villager: 
        entityID: 120
        legacyID: 23
        aliases: ['npc', 'v']
    
    # Natural Selection mod from http://www.mcportcentral.co.za/index.php?topic=1360.0
    # and http://www.minecraftforum.net/topic/950329-110smpforgenatural-selection-a-minecraft-survival-accession-v21/
    Buck:
        entityID: 166
        aliases: ['maledeer', 'mdeer']
    Doe:
        entityID: 167
        aliases: ['femaledeer', 'fdeer', 'deer']
    Tom:
        entityID: 168
        aliases: ['maleturkey', 'mturkey']
    Hen:
        entityID: 169
        aliases: ['femaleturkey', 'fturkey', 'turkey']
    Grizzly:
        entityID: 170
        aliases: ['bear']
    Boar:
        entityID: 171
        aliases: ['wildpig']
    Dingo:
        entityID: 173       # no 172?
    Magicman:
        entityID: 174
        aliases: ['magician']

